Generate Report
curl --request POST \
--url https://app.aseed.ai/custdev/insight/{rec_id}/generate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "<string>",
"report_language": "<string>",
"participant_count": 8,
"respondent_known_names": [],
"is_with_transcript": false,
"is_with_insight_report": false,
"goals": "<string>",
"notes": "<string>",
"guide": "<string>",
"custom_prompt": "<string>",
"report_types": [
"Q&A",
"General"
]
}
'import requests
url = "https://app.aseed.ai/custdev/insight/{rec_id}/generate/"
payload = {
"language": "<string>",
"report_language": "<string>",
"participant_count": 8,
"respondent_known_names": [],
"is_with_transcript": False,
"is_with_insight_report": False,
"goals": "<string>",
"notes": "<string>",
"guide": "<string>",
"custom_prompt": "<string>",
"report_types": ["Q&A", "General"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: '<string>',
report_language: '<string>',
participant_count: 8,
respondent_known_names: [],
is_with_transcript: false,
is_with_insight_report: false,
goals: '<string>',
notes: '<string>',
guide: '<string>',
custom_prompt: '<string>',
report_types: ['Q&A', 'General']
})
};
fetch('https://app.aseed.ai/custdev/insight/{rec_id}/generate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}insight
Generate Report
POST
/
insight
/
{rec_id}
/
generate
/
Generate Report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Number of participants from 1 to 15
Required range:
1 <= x <= 15Maximum string length:
10000Maximum string length:
20000Maximum string length:
20000Custom prompt for Custom report generation
Maximum string length:
15000Types of reports to generate: Q&A, General, JTBD (legacy), JTBD, Persona, Custom
Response
Successful Response
Was this page helpful?
⌘I